/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class ForwardFormularE2EComponent {

	private readonly locatorPasswortInput: string = 'Passwort-text-input';
	private readonly locatorPasswortError: string = 'Passwort-text-error';
	private readonly locatorZustaendigeStelleInput: string = 'zustandige_Stelle-text-input';
	private readonly locatorZustaendigeStelleError: string = 'zustandige_Stelle-text-error';
	private readonly locatorForwardButton: string = 'forward-button';

	private readonly locatorRoot: string = 'forward-form';

	public getRoot() {
		return cy.getTestElement(this.locatorRoot);
	}

	public getPasswort() {
		return cy.getTestElement(this.locatorPasswortInput);
	}

	public getPasswortError() {
		return cy.getTestElement(this.locatorPasswortError);
	}

	public getZustaendigeStelle() {
		return cy.getTestElement(this.locatorZustaendigeStelleInput);
	}

	public getZustaendigeStelleError() {
		return cy.getTestElement(this.locatorZustaendigeStelleError);
	}

	//TODO Getter draus machen und im Test den click durchführen
	public forward() {
		return this.getForwardButton().click();
	}
	//

	private getForwardButton() {
		return cy.getTestElement(this.locatorForwardButton);
	}
}