/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { KommentarE2E } from '../model/kommentar';
import { VorgangAttachedItemClientE2E, VorgangAttachedItemE2E, VorgangAttachedItemNameE2E } from '../model/vorgang-attached-item';
import { getUserSabineInternalId } from './user-util';
import { VORGANG_ATTACHED_ITEM_CLASS } from './vorgang-attached-item-util';

const kommentarFixture: KommentarE2E = require('../fixtures/kommentar/kommentar.json');

export function createKommentar(): KommentarE2E {
	return { ...kommentarFixture, createdBy: getUserSabineInternalId() };
}

export function createKommentarAttachedItem(_id: string, vorgangId: string): VorgangAttachedItemE2E {
	return {
		_id: { $oid: _id },
		version: 0,
		vorgangId,
		client: VorgangAttachedItemClientE2E.ALFA,
		itemName: VorgangAttachedItemNameE2E.KOMMENTAR,
		item: {
			...createKommentar(),
			vorgangId
		},
		deleted: false,
		_class: VORGANG_ATTACHED_ITEM_CLASS
	};
}