import { Component, Input, OnInit } from '@angular/core';
import { CommandResource } from '@alfa-client/command-shared';
import { StateResource, createEmptyStateResource } from '@alfa-client/tech-shared';
import { VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { BescheidService } from 'libs/bescheid-shared/src/lib/bescheid.service';
import { Observable, of } from 'rxjs';

@Component({
	selector: 'alfa-create-bescheid-button-container',
	templateUrl: './create-bescheid-button-container.component.html',
	styleUrls: ['./create-bescheid-button-container.component.scss'],
})
export class CreateBescheidButtonContainerComponent implements OnInit {

	@Input() vorgangWithEingang: VorgangWithEingangResource;

	public createBescheidInCommand$: Observable<StateResource<CommandResource>> = of(createEmptyStateResource<CommandResource>());

	constructor(private bescheidService: BescheidService){ }

	ngOnInit(): void {
		this.createBescheidInCommand$ = this.bescheidService.getBescheidCommand();
	}

	public create(): void {
		this.bescheidService.createBescheid(this.vorgangWithEingang);
	}
}