import { createHintListResource, createHintListResourceWithResource, createHintResource } from 'libs/hint-shared/test/hint';
import { HintMessageCode } from './hint.message';
import { HintResource } from './hint.model';
import { hasUserNoOrganisationsEinheitIdHint, isUserHasNoOrganisationsEinheitIdHint } from './hint.util';

describe('Hint Util', () => {

	describe('isUserHasNoOrganisationsEinheitIdHint', () => {

		it('should return true if code match', () => {
			const result: boolean = isUserHasNoOrganisationsEinheitIdHint({ ...createHintResource(), code: HintMessageCode.USER_NO_ORGANISATIONS_EINHEIT_ID });

			expect(result).toBeTruthy();
		})
	})

	describe('hasUserNoOrganisationsEinheitIdHint', () => {

		it('should return resource if code match', () => {
			const hint: HintResource = { ...createHintResource(), code: HintMessageCode.USER_NO_ORGANISATIONS_EINHEIT_ID };

			const hasUser: boolean = hasUserNoOrganisationsEinheitIdHint(createHintListResourceWithResource([hint]));

			expect(hasUser).toBeTruthy();
		})

		it('should return false if code NOT match', () => {
			const hasUser: boolean = hasUserNoOrganisationsEinheitIdHint(createHintListResource());

			expect(hasUser).toBeFalsy();
		})
	})
})