/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { PortalModule } from '@angular/cdk/portal';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatAccordion, MatExpansionPanel, MatExpansionPanelHeader, MatExpansionPanelTitle } from '@angular/material/expansion';
import { MatIcon } from '@angular/material/icon';
import { NoopAnimationsModule } from '@angular/platform-browser/animations';
import { ExpansionPanelComponent } from '@alfa-client/ui';
import { createCommandResource } from 'libs/command-shared/test/command';
import { MockComponent } from 'ng-mocks';
import { HistorieItemHeaderComponent } from '../historie-item-header/historie-item-header.component';
import { ExpansionPanelWithUserComponent } from './expansion-panel-with-user.component';

describe('ExpansionPanelWithUserComponent', () => {
	let component: ExpansionPanelWithUserComponent;
	let fixture: ComponentFixture<ExpansionPanelWithUserComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			imports: [
				NoopAnimationsModule,
				PortalModule
			],
			declarations: [
				ExpansionPanelComponent,
				MatExpansionPanel,
				MatExpansionPanelTitle,
				MatAccordion,
				MatIcon,
				MatExpansionPanelHeader,
				ExpansionPanelWithUserComponent,
				MockComponent(HistorieItemHeaderComponent)
			],
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(ExpansionPanelWithUserComponent);
		component = fixture.componentInstance;
		component.resource = createCommandResource();
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	})
});
