/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { HistorieItemWiedervorlageStatusComponent } from './historie-item-wiedervorlage-status.component';

describe('HistorieItemWiedervorlageStatusComponent', () => {
	let component: HistorieItemWiedervorlageStatusComponent;
	let fixture: ComponentFixture<HistorieItemWiedervorlageStatusComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [HistorieItemWiedervorlageStatusComponent],
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(
			HistorieItemWiedervorlageStatusComponent
		);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('set status text for "done" value', () => {

		it('should return "offen" on false', () => {
			component.done = 'false';

			expect(component.text).toBe('offen');
		})

		it('should return "geschlossen" on true', () => {
			component.done = 'true';

			expect(component.text).toBe('geschlossen');
		})
	})
});
