import { CommandResource } from '@alfa-client/command-shared';
import { createStateResource, StateResource } from '@alfa-client/tech-shared';
import { createCommandResource } from 'libs/command-shared/test/command';
import { createLoeschAnforderungResource } from 'libs/loesch-anforderung-shared/test/loesch-anforderung';
import { LoeschAnforderungResource } from '../loesch-anforderung.model';
import { initialState, LoeschAnforderungPartialState } from './loesch-anforderung.reducer';

import * as LoeschAnforderungSelectors from './loesch-anforderung.selectors';

describe('LoeschAnforderung Selectors', () => {

	let state: LoeschAnforderungPartialState;

	const loeschenAnfordernCommand: StateResource<CommandResource> = createStateResource(createCommandResource());
	const loeschAnforderung: StateResource<LoeschAnforderungResource> = createStateResource(createLoeschAnforderungResource());
	const vorgangLoeschenCommand: StateResource<CommandResource> = createStateResource(createCommandResource());
	const loeschAnforderungZuruecknehmenCommand: StateResource<CommandResource> = createStateResource(createCommandResource());

	beforeEach(() => {
		state = {
			LoeschAnforderungState: {
				...initialState,

				loeschenAnfordernCommand,
				loeschAnforderung,
				vorgangLoeschenCommand,
				loeschAnforderungZuruecknehmenCommand
			}
		};
	});

	it('should return loeschenAnfordernCommand', () => {
		const result: StateResource<CommandResource> = LoeschAnforderungSelectors.loeschenAnfordernCommand.projector(state.LoeschAnforderungState);

		expect(result).toBe(loeschenAnfordernCommand);
	})

	it('should return loeschAnforderung from state', () => {
		const result: StateResource<LoeschAnforderungResource> = LoeschAnforderungSelectors.loeschAnforderung.projector(state.LoeschAnforderungState);

		expect(result).toBe(loeschAnforderung);
	})

	it('should return vorgangLoeschenCommand from state', () => {
		const result: StateResource<CommandResource> = LoeschAnforderungSelectors.vorgangLoeschenCommand.projector(state.LoeschAnforderungState);

		expect(result).toBe(vorgangLoeschenCommand);
	})

	it('should return loeschAnforderungZuruecknehmenCommand', () => {
		const result: StateResource<CommandResource> = LoeschAnforderungSelectors.loeschAnforderungZuruecknehmenCommand.projector(state.LoeschAnforderungState);

		expect(result).toBe(loeschAnforderungZuruecknehmenCommand);
	})
});