import { ComponentFixture, TestBed } from '@angular/core/testing';
import { existsAsHtmlElement, notExistsAsHtmlElement } from '@alfa-client/test-utils';
import { IconButtonWithSpinnerComponent, OzgcloudStrokedButtonWithSpinnerComponent } from "@alfa-client/ui";
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { MockComponent } from "ng-mocks";
import { LoeschAnforderungZuruecknehmenButtonComponent } from './loesch-anforderung-zuruecknehmen-button.component';

describe('LoeschAnforderungZuruecknehmenButtonComponent', () => {
	let component: LoeschAnforderungZuruecknehmenButtonComponent;
	let fixture: ComponentFixture<LoeschAnforderungZuruecknehmenButtonComponent>;

	const loeschenAnfordernZuruecknehmenButton: string = getDataTestIdOf('loesch-anforderung-zuruecknehmen-button');
	const loeschenAnfordernZuruecknehmenIconButton: string = getDataTestIdOf('loesch-anforderung-zuruecknehmen-icon-button');

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				LoeschAnforderungZuruecknehmenButtonComponent,
				MockComponent(OzgcloudStrokedButtonWithSpinnerComponent),
				MockComponent(IconButtonWithSpinnerComponent)
			],
		}).compileComponents();

		fixture = TestBed.createComponent(LoeschAnforderungZuruecknehmenButtonComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('show as icon button', () => {

		beforeEach(() => {
			component.showAsIconButton = true;
			fixture.detectChanges();
		})

		it('should hide button', () => {
			notExistsAsHtmlElement(fixture, loeschenAnfordernZuruecknehmenButton);
		});

		it('should show iconButton', () => {
			existsAsHtmlElement(fixture, loeschenAnfordernZuruecknehmenIconButton);
		});
	})

	describe('show as button', () => {

		beforeEach(() => {
			component.showAsIconButton = false;
			fixture.detectChanges();
		})

		it('should show button', () => {
			existsAsHtmlElement(fixture, loeschenAnfordernZuruecknehmenButton);
		});

		it('should hide iconButton visible', () => {
			notExistsAsHtmlElement(fixture, loeschenAnfordernZuruecknehmenIconButton);
		});
	})
});