/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MatIcon } from '@angular/material/icon';
import { notExistsAsHtmlElement } from '@alfa-client/test-utils';
import { OzgcloudStrokedButtonWithSpinnerComponent } from '@alfa-client/ui';
import { createPostfachMailResource } from 'libs/postfach-shared/test/postfach';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { MockComponent } from 'ng-mocks';
import { OutgoingMailErrorComponent } from './outgoing-mail-error.component';

describe('OutgoingMailFailedComponent', () => {
	let component: OutgoingMailErrorComponent;
	let fixture: ComponentFixture<OutgoingMailErrorComponent>;

	const mailSendError: string = getDataTestIdOf('mail-send-error');

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				OutgoingMailErrorComponent,
				MatIcon,
				MockComponent(OzgcloudStrokedButtonWithSpinnerComponent)
			]
		}).compileComponents();
	});

	beforeEach(() => {
		fixture = TestBed.createComponent(OutgoingMailErrorComponent);
		component = fixture.componentInstance;
		component.postfachMailResource = createPostfachMailResource();
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('mailSendError', () => {

		it('should hide if messageCode does not exists', () => {
			component.postfachMailResource = { ...createPostfachMailResource(), messageCode: undefined };

			fixture.detectChanges();

			notExistsAsHtmlElement(fixture, mailSendError);
		})
	})
});