import { ConvertForDataTestPipe } from '@alfa-client/tech-shared';
import { existsAsHtmlElement, notExistsAsHtmlElement } from '@alfa-client/test-utils';
import { OzgcloudRoutingButtonComponent } from '@alfa-client/ui';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { MockComponent } from 'ng-mocks';
import { VorgangViewItemComponent } from './vorgang-view-item.component';

describe('VorgangViewItemComponent', () => {
	let component: VorgangViewItemComponent;
	let fixture: ComponentFixture<VorgangViewItemComponent>;

	beforeEach(async () => {
		await TestBed.configureTestingModule({
			declarations: [
				VorgangViewItemComponent,
				ConvertForDataTestPipe,
				MockComponent(OzgcloudRoutingButtonComponent)
			],
		}).compileComponents();

		fixture = TestBed.createComponent(VorgangViewItemComponent);
		component = fixture.componentInstance;
		fixture.detectChanges();
	});

	it('should create', () => {
		expect(component).toBeTruthy();
	});

	describe('count', () => {

		const count: string = getDataTestIdOf('views-menu-item-count-Dummy');

		beforeEach(() => {
			component.label = 'Dummy';
		})

		it('should show on number', () => {
			component.count = 5;

			fixture.detectChanges();

			existsAsHtmlElement(fixture, count);
		})

		it('should hide on null', () => {
			component.count = null;
			component.label = 'Dummy';

			fixture.detectChanges();

			notExistsAsHtmlElement(fixture, count);
		})

		it('should show on 0', () => {
			component.count = 0;

			fixture.detectChanges();

			existsAsHtmlElement(fixture, count);
		})
	})
});
