/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input } from '@angular/core';
import { ApiRootLinkRel, ApiRootResource } from '@alfa-client/api-root-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { VorgangStatistic, VorgangView } from '@alfa-client/vorgang-shared';

//MOVEME Unter vorgang-views-menu-container schieben
@Component({
	selector: 'alfa-vorgang-views-menu',
	templateUrl: './vorgang-views-menu.component.html',
	styleUrls: ['./vorgang-views-menu.component.scss'],
})
export class VorgangViewsMenuComponent {

	@Input() apiRootResource: ApiRootResource;
	@Input() vorgangStatisticStateResource: StateResource<VorgangStatistic>;

	readonly apiRootLinkRel = ApiRootLinkRel;
	readonly vorgangView = VorgangView;
}
