/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.common.command;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonSubTypes.Type;

import de.ozgcloud.alfa.aktenzeichen.AktenzeichenCommandBody;
import de.ozgcloud.alfa.kommentar.Kommentar;
import de.ozgcloud.alfa.loeschanforderung.DeleteLoeschAnforderung;
import de.ozgcloud.alfa.loeschanforderung.LoeschAnforderung;
import de.ozgcloud.alfa.postfach.PostfachMail;
import de.ozgcloud.alfa.vorgang.AssignUserCommandBody;
import de.ozgcloud.alfa.vorgang.ProcessVorgangBody;
import de.ozgcloud.alfa.vorgang.forwarding.RedirectRequest;
import de.ozgcloud.alfa.wiedervorlage.Wiedervorlage;

@JsonSubTypes({
		@Type(value = PostfachMail.class, name = "SEND_POSTFACH_MAIL"),
		@Type(value = PostfachMail.class, name = "SEND_POSTFACH_NACHRICHT"),
		@Type(value = PostfachMail.class, name = "RESEND_POSTFACH_MAIL"),
		@Type(value = AssignUserCommandBody.class, name = "ASSIGN_USER"),
		@Type(value = RedirectRequest.class, name = "REDIRECT_VORGANG"),
		@Type(value = Wiedervorlage.class, name = "WIEDERVORLAGE"),
		@Type(value = Kommentar.class, name = "KOMMENTAR"),
		@Type(value = LoeschAnforderung.class, name = "LOESCH_ANFORDERUNG"),
		@Type(value = DeleteLoeschAnforderung.class, name = "DELETE_LOESCH_ANFORDERUNG"),
		@Type(value = GenericCommandBody.class, name = "CREATE_BESCHEID"),
		@Type(value = ProcessVorgangBody.class, name = "PROCESS_VORGANG"),
		@Type(value = AktenzeichenCommandBody.class, name = "SET_AKTENZEICHEN")
})
public interface CommandBody {
}
