package de.ozgcloud.alfa.common.attacheditem;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;
import org.mockito.InjectMocks;
import org.mockito.Spy;

import de.ozgcloud.alfa.vorgang.GrpcVorgangAttachedItemTestFactory;
import de.ozgcloud.vorgang.common.grpc.GrpcObjectMapper;

class VorgangAttachedItemMapperTest {

	@InjectMocks
	private final VorgangAttachedItemMapper mapper = Mappers.getMapper(VorgangAttachedItemMapper.class);

	@Spy
	private final GrpcObjectMapper grpcObjectMapper = Mappers.getMapper(GrpcObjectMapper.class);

	@Nested
	@DisplayName("From Grpc")
	class TestMapVorgangAttachedItem {

		@Test
		void shouldMap() {
			var mapped = mapper.fromGrpc(GrpcVorgangAttachedItemTestFactory.create());

			assertThat(mapped).usingRecursiveComparison().isEqualTo(VorgangAttachedItemTestFactory.create());
		}

		@Test
		void shouldCallGrpcObjectMapper() {
			var grpcVorgangAttachedItem = GrpcVorgangAttachedItemTestFactory.create();

			mapper.fromGrpc(grpcVorgangAttachedItem);

			verify(grpcObjectMapper).mapFromGrpc(GrpcVorgangAttachedItemTestFactory.ITEM);
		}
	}
}
