/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import static org.assertj.core.api.Assertions.*;

import java.util.List;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;

import de.ozgcloud.alfa.common.clientattribute.GrpcClientAttributeTestFactory;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcClientAttribute;

class ClientAttributeUtilsTest {
	@Nested
	class TestClientAttributeUtils {
		List<GrpcClientAttribute> attributeList;

		@BeforeEach
		void init() {
			attributeList = List.of(
					GrpcClientAttributeTestFactory.createBuilder().setAttributeName("name1").build(),
					GrpcClientAttributeTestFactory.create(),
					GrpcClientAttributeTestFactory.createBuilder().setAttributeName("name2").build());
		}

		@Test
		void findByName() {
			assertThat(ClientAttributeUtils.findByName(GrpcClientAttributeTestFactory.ATTRIBUTE_NAME, attributeList)).isNotNull();
		}

		@Test
		void findNotByName() {
			assertThat(ClientAttributeUtils.findByName("not_in_list", attributeList)).isEmpty();
		}
	}
}
