/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import java.util.Optional;

import com.thedeanda.lorem.LoremIpsum;

public class FindVorgaengeRequestCriteriaTestFactory {

	public static final int PAGE = 0;
	public static final int LIMIT = 100;
	public static final String SEARCH_BY = LoremIpsum.getInstance().getWords(2);
	public static final OrderBy ORDER_BY = OrderBy.PRIORITY;

	public static FindVorgaengeHeaderRequestCriteria create() {
		return createBuilder().build();
	}

	public static FindVorgaengeHeaderRequestCriteria.FindVorgaengeHeaderRequestCriteriaBuilder createBuilder() {
		return FindVorgaengeHeaderRequestCriteria.builder()
				.page(PAGE)
				.limit(LIMIT)
				.searchBy(Optional.of(SEARCH_BY))
				.orderBy(ORDER_BY)
				.filterCriteria(FilterCriteriaTestFactory.create());
	}
}