/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.alfa.vorgang;

import de.ozgcloud.alfa.common.callcontext.CallContextTestFactory;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcAccessPermission;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcClientAttribute;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcClientAttribute.Builder;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcClientAttributeValue;

class GrpcClientAttributeTestFactory {

	static final String CLIENT = CallContextTestFactory.CLIENT_NAME;
	static final GrpcAccessPermission ACCESS = GrpcAccessPermission.READ_WRITE;

	static final GrpcClientAttribute create() {
		return createBuilder().build();
	}

	static final Builder createBuilder() {
		return GrpcClientAttribute.newBuilder()
				.setClientName(CLIENT)
				.setAccess(ACCESS);
	}

	static final GrpcClientAttribute createWith(String attributeName, boolean value) {
		return createBuilder().setAttributeName(attributeName)
				.setValue(GrpcClientAttributeValue.newBuilder().setBoolValue(value).build())
				.build();
	}

}
