package de.ozgcloud.alfa.export;

import java.util.stream.Stream;

import de.xoev.xdomea.AbgabeAbgabe0401;
import de.xoev.xdomea.DokumentType;
import de.xoev.xdomea.NkAbgabeType;
import de.xoev.xdomea.VorgangType;

class AbgabeCreator {

	private AbgabeAbgabe0401 abgabeType;

	private AbgabeCreator() {
		abgabeType = new AbgabeAbgabe0401();
	}

	public AbgabeCreator withKopf(NkAbgabeType kopfType) {
		abgabeType.setKopf(kopfType);
		return this;
	}

	public AbgabeCreator withVorgang(VorgangType vorgangType) {
		getSchriftgutobjekt().setVorgang(vorgangType);
		return this;
	}

	public AbgabeCreator withDokumentTypes(Stream<DokumentType> dokumentTypes) {
		var vorgang = getVorgang();
		if (vorgang == null) {
			throw new IllegalStateException("Cannot set documentTypes because Vorgang is null");
		}
		dokumentTypes.forEach(vorgang.getDokument()::add);
		return this;
	}

	public AbgabeAbgabe0401 create() {
		return abgabeType;
	}

	private AbgabeAbgabe0401.Schriftgutobjekt getSchriftgutobjekt() {
		if (abgabeType.getSchriftgutobjekt().isEmpty()) {
			abgabeType.getSchriftgutobjekt().add(new AbgabeAbgabe0401.Schriftgutobjekt());
		}
		return abgabeType.getSchriftgutobjekt().get(0);
	}

	private VorgangType getVorgang() {
		return getSchriftgutobjekt().getVorgang();
	}

	static AbgabeCreator createAbgabeCreator() {
		return new AbgabeCreator();
	}
}
