package de.ozgcloud.alfa.export;

import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.mvc.method.annotation.StreamingResponseBody;

@RestController
@RequestMapping(ExportVorgangController.PATH)
public class ExportVorgangController {

	static final String PATH = "/api/vorgangs"; // NOSONAR

	private static final String EXPORT_FILENAME_TEMPLATE = "%s_Abgabe.Abgabe.0401.xdomea";

	@Autowired
	private ExportService xDomeaService;

	@GetMapping(value = "{vorgangId}", produces = MediaType.APPLICATION_OCTET_STREAM_VALUE)
	public ResponseEntity<StreamingResponseBody> exportToXdomea(@PathVariable String vorgangId) {
		var filenameId = UUID.randomUUID().toString();
		return ResponseEntity.ok()
				.header(HttpHeaders.CONTENT_DISPOSITION, String.format("attachment; filename=%s", buildZipFilename(filenameId)))
				.contentType(MediaType.APPLICATION_OCTET_STREAM)
				.body(out -> xDomeaService.writeExport(vorgangId, filenameId, out));
	}

	String buildZipFilename(String filenameId) {
		return String.format(EXPORT_FILENAME_TEMPLATE, filenameId);
	}
}
