package de.ozgcloud.alfa.vorgang;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.xoev.xdomea.NkAbgabeType;
import de.xoev.xdomea.VorgangType;

@Service
public class ExportVorgangService {

	@Autowired
	private VorgangService vorgangService;

	@Autowired
	private VorgangTypeCreator vorgangTypeCreator;

	@Autowired
	private KopfCreator kopfCreator;

	public VorgangWithEingang getVorgang(String vorgangId) {
		return vorgangService.findVorgangWithEingang(vorgangId);
	}

	public VorgangType createVorgangType(VorgangWithEingang vorgangWithEingang) {
		return vorgangTypeCreator.create(vorgangWithEingang);
	}

	public NkAbgabeType createKopf(VorgangWithEingang vorgangWithEingang) {
		return kopfCreator.createKopf(vorgangWithEingang);
	}
}
