package de.ozgcloud.alfa.vorgang;

import java.util.HashMap;
import java.util.Map;

class ValueKeysRemover {

	static final String VALUE_KEY = "value";

	public static Map<String, Object> removeValueKeys(Map<String, Object> formData) {
		Map<String, Object> result = new HashMap<>();
		for (var entry : formData.entrySet()) {
			result.put(entry.getKey(), removeValueKeysFromValue(entry.getValue()));
		}
		return result;
	}

	@SuppressWarnings("unchecked")
	private static Object removeValueKeysFromValue(Object value) {
		if (!(value instanceof Map)) {
			return value;
		}
		Map<String, Object> formData = (Map<String, Object>) value;
		return containsValueKeyAsSingleEntry(formData) ?
				removeValueKeysFromValue(formData.get(VALUE_KEY)) :
				removeValueKeys(formData);
	}

	private static boolean containsValueKeyAsSingleEntry(Map<String, Object> formData) {
		return formData.containsKey(VALUE_KEY) && formData.size() == 1;
	}
}
