package de.ozgcloud.alfa.vorgang;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

public class ExportVorgangServiceTest {

	private final static String VORGANG_ID = "DUMMY_ID";
	private final VorgangWithEingang vorgang = VorgangWithEingangTestFactory.create();

	@Spy
	@InjectMocks
	private ExportVorgangService exportVorgangService;

	@Mock
	private VorgangService vorgangService;

	@BeforeEach
	void init() {
		when(vorgangService.findVorgangWithEingang(anyString())).thenReturn(vorgang);
	}

	@Test
	void shouldCallVorgangService() {
		exportVorgangService.getVorgang(VORGANG_ID);

		verify(vorgangService).findVorgangWithEingang(VORGANG_ID);
	}

	@Test
	void shouldReturnVorgangWithEingang() {
		assertThat(exportVorgangService.getVorgang(VORGANG_ID)).isEqualTo(vorgang);
	}
}
